commit 1836a65efc4c76284a6b1e18a9542acb0b9e0517
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Fri Jan 24 17:56:51 2025 +0100

    testsuite: arm: Use -Os -fno-math-errno in vfp-1.c [PR116448]
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/116448
            * gcc.target/arm/vfp-1.c: Use -Os -fno-math-errno.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 062c04c45b2156b27ddc3b6541d8484e9db63bc3)

diff --git a/gcc/testsuite/gcc.target/arm/vfp-1.c b/gcc/testsuite/gcc.target/arm/vfp-1.c
index b4694c78630..5bb675e566e 100644
--- a/gcc/testsuite/gcc.target/arm/vfp-1.c
+++ b/gcc/testsuite/gcc.target/arm/vfp-1.c
@@ -1,6 +1,6 @@
 /* { dg-do compile } */
 /* { dg-require-effective-target arm_fp_dp_ok } */
-/* { dg-options "-O2 -ffp-contract=off" } */
+/* { dg-options "-Os -fno-math-errno -ffp-contract=off" } */
 /* { dg-add-options arm_fp_dp } */
 /* { dg-skip-if "need fp instructions" { *-*-* } { "-mfloat-abi=soft" } { "" } } */
 

